com.h3c.sdn.misc

## Class PerfComponent

- java.lang.Object
- - com.h3c.sdn.misc.PerfComponent

- All Implemented Interfaces:
    PerfService

      @Service
      @Reference(cardinality=OPTIONAL_MULTIPLE,
                 referenceInterface=PerfMetricsProvider.class,
                 target="(app=perf)",
                 policy=DYNAMIC,
                 bind="bindProvider",
                 unbind="unbindProvider")
      public class PerfComponent
      extends Object
      implements PerfService

  A concrete Flare performance metric provider.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerfComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `bindProvider(PerfMetricsProvider provider)`
    `void` | `clearAllPerfs()` Remove all performance metrics.
    `Collection<Perf>` | `getAllPerfs()` Return all measured performance metrics.
    `protected void` | `shutdown()`
    `protected void` | `unbindProvider(PerfMetricsProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerfComponent

          public PerfComponent()

  - ### Method Detail

    - #### bindProvider

          protected void bindProvider(PerfMetricsProvider provider)

    - #### unbindProvider

          protected void unbindProvider(PerfMetricsProvider provider)

    - #### shutdown

          @Deactivate
          protected void shutdown()

    - #### getAllPerfs

          public Collection<Perf> getAllPerfs()

      Description copied from interface: `PerfService`
      Return all measured performance metrics.
      Specified by:
        `getAllPerfs` in interface `PerfService`
      Returns:
        all measured performance metrics

    - #### clearAllPerfs

          public void clearAllPerfs()

      Description copied from interface: `PerfService`
      Remove all performance metrics.
      Specified by:
        `clearAllPerfs` in interface `PerfService`

Copyright © 2014. All Rights Reserved.